Bug 75468

Summary: [chromium, v8] ES5 prohibits parseInt from supporting octal
Product: WebKit Reporter: Hin-Chung Lam <hclam>
Component: WebKit Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ager, dglazkov, dpranke, yutak
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 75455    
Bug Blocks:    

Description Hin-Chung Lam 2012-01-03 04:33:12 PST
The following test added in r103922 http://trac.webkit.org/changeset/103922 is failing:

fast/js/kde/script-tests/GlobalObject.js:

The related bug is: https://bugs.webkit.org/show_bug.cgi?id=75455
Comment 1 Hin-Chung Lam 2012-01-03 04:37:38 PST
Committed r103933: <http://trac.webkit.org/changeset/103933>
Comment 2 Alexey Proskuryakov 2012-01-03 09:58:52 PST
Why is this bug "fixed"? Shouldn't the updated test pass in v8?

> Unreviewed, build fix.

This was not a build fix.
Comment 3 Hin-Chung Lam 2012-01-03 10:03:49 PST
(In reply to comment #2)
> Why is this bug "fixed"? Shouldn't the updated test pass in v8?

It was marked "fixed" probably because I landed the change with webkit-patch, my bad.

> 
> > Unreviewed, build fix.
> 
> This was not a build fix.
Comment 4 Hin-Chung Lam 2012-01-03 10:18:39 PST
(In reply to comment #2)
> Why is this bug "fixed"? Shouldn't the updated test pass in v8?

It was marked "fixed" probably because I landed the change with webkit-patch, my bad.

> 
> > Unreviewed, build fix.
> 
> This was not a build fix.
Comment 5 Yuta Kitamura 2012-08-12 21:19:15 PDT
Apparently this has been fixed after Chromium's V8 roll to 3.13.0.
http://src.chromium.org/viewvc/chrome?view=rev&revision=151060

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=fast%2Fjs%2Fkde%2FGlobalObject.html

I'm going to remove the test expectation.
Comment 6 Yuta Kitamura 2012-08-12 21:25:37 PDT
Done: <http://trac.webkit.org/changeset/125387>
Comment 7 Yuta Kitamura 2012-08-13 18:59:43 PDT
Oops, the last V8 roll was reverted, and this test started to fail again. I'll update the test expectation as such.
Comment 8 Dirk Pranke 2012-09-18 17:20:02 PDT
Looks like this is no longer failing ... closing again and I removed the suppression in http://trac.webkit.org/changeset/128947 .